You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@orc.apache.org by wi...@apache.org on 2022/10/26 02:37:20 UTC

[orc] branch branch-1.7 updated: ORC-1299: Fix fetch data error in bench module

This is an automated email from the ASF dual-hosted git repository.

william pushed a commit to branch branch-1.7
in repository https://gitbox.apache.org/repos/asf/orc.git


The following commit(s) were added to refs/heads/branch-1.7 by this push:
     new c03f010e0 ORC-1299: Fix fetch data error in bench module
c03f010e0 is described below

commit c03f010e048f816cf967eadecd1e0d631d95f65e
Author: deshanxiao <de...@microsoft.com>
AuthorDate: Tue Oct 25 19:36:29 2022 -0700

    ORC-1299: Fix fetch data error in bench module
    
    ### What changes were proposed in this pull request?
    This PR aims to fix bench error when fetch data.
    
    ### Why are the changes needed?
    Fetch `https://s3.amazonaws.com/nyc-tlc/` will get a 403 error.
    
    ### How was this patch tested?
    UT
    
    Closes #1292 from deshanxiao/deshan/1299.
    
    Authored-by: deshanxiao <de...@microsoft.com>
    Signed-off-by: William Hyun <wi...@apache.org>
    (cherry picked from commit 0638679582d75b674547e4ec2b683c9c4dcfbeaa)
    Signed-off-by: William Hyun <wi...@apache.org>
---
 java/bench/fetch-data.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/java/bench/fetch-data.sh b/java/bench/fetch-data.sh
index 27c21bf80..f39407244 100755
--- a/java/bench/fetch-data.sh
+++ b/java/bench/fetch-data.sh
@@ -14,9 +14,10 @@
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License.
+set -e
 mkdir -p data/sources/taxi
-(cd data/sources/taxi; wget https://s3.amazonaws.com/nyc-tlc/trip+data/yellow_tripdata_2015-11.parquet )
-(cd data/sources/taxi; wget https://s3.amazonaws.com/nyc-tlc/trip+data/yellow_tripdata_2015-12.parquet )
+(cd data/sources/taxi; wget https://d37ci6vzurychx.cloudfront.net/trip-data/yellow_tripdata_2015-11.parquet )
+(cd data/sources/taxi; wget https://d37ci6vzurychx.cloudfront.net/trip-data/yellow_tripdata_2015-12.parquet )
 
 mkdir -p data/sources/github
 (cd data/sources/github; wget http://data.gharchive.org/2015-11-{01..15}-{0..23}.json.gz)